org.apache.olingo.odata2.client.api.ep

## Class DeserializerProperties.DeserializerPropertiesBuilder

- java.lang.Object
- - org.apache.olingo.odata2.client.api.ep.DeserializerProperties.DeserializerPropertiesBuilder

- Enclosing class:
    DeserializerProperties

      public static class DeserializerProperties.DeserializerPropertiesBuilder
      extends Object

  Builder for `EntityProviderReadProperties`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeserializerPropertiesBuilder()`
    `DeserializerPropertiesBuilder(DeserializerProperties propertiesFrom)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeserializerProperties.DeserializerPropertiesBuilder` | `addTypeMappings(Map<String,Object> typeMappings)`
    `DeserializerProperties.DeserializerPropertiesBuilder` | `addValidatedPrefixes(Map<String,String> prefix2NamespaceUri)`
    `DeserializerProperties` | `build()`
    `DeserializerProperties.DeserializerPropertiesBuilder` | `callback(OnDeserializeInlineContent callback)`
    `DeserializerProperties.DeserializerPropertiesBuilder` | `isValidatingFacets(boolean validatingFacets)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeserializerPropertiesBuilder

          public DeserializerPropertiesBuilder()

    - #### DeserializerPropertiesBuilder

          public DeserializerPropertiesBuilder(DeserializerProperties propertiesFrom)

      Parameters:
        `propertiesFrom` -

  - ### Method Detail

    - #### addValidatedPrefixes

          public DeserializerProperties.DeserializerPropertiesBuilder addValidatedPrefixes(Map<String,String> prefix2NamespaceUri)

      Parameters:
        `prefix2NamespaceUri` -
      Returns:
        DeserializerPropertiesBuilder

    - #### addTypeMappings

          public DeserializerProperties.DeserializerPropertiesBuilder addTypeMappings(Map<String,Object> typeMappings)

      Parameters:
        `typeMappings` -
      Returns:
        DeserializerPropertiesBuilder

    - #### callback

          public DeserializerProperties.DeserializerPropertiesBuilder callback(OnDeserializeInlineContent callback)

      Parameters:
        `callback` -
      Returns:
        DeserializerPropertiesBuilder

    - #### isValidatingFacets

          public DeserializerProperties.DeserializerPropertiesBuilder isValidatingFacets(boolean validatingFacets)

      Parameters:
        `validatingFacets` -
      Returns:
        DeserializerPropertiesBuilder

    - #### build

          public DeserializerProperties build()

      Returns:
        DeserializerProperties

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.